data:extend({
  {
    type = "technology",
    name = "phasing-rocket",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-rocket.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "phasing-rocket"
      }
    },
    prerequisites = {"rocketry", "expansion-bay"},
    unit = research(100, 1, 1, 1, 0, 20)
  },
  {
    type = "recipe",
    name = "phasing-rocket",
    enabled = false,
    energy_required = 8,
    ingredients =
    {
      {"rocket", 1},
      {"matter-conduit", 1}
    },
    result = "phasing-rocket"
  },
  {
    type = "ammo",
    name = "phasing-rocket",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-rocket.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "rocket",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "phasing-rocket",
          starting_speed = 0.08,
          source_effects =
          {
            type = "create-entity",
            entity_name = "explosion-hit"
          }
        }
      }
    },
    subgroup = "ammo",
    order = "d[rocket-launcher]-c[phasing]",
    stack_size = 100
  },
  {
    type = "projectile",
    name = "phasing-rocket",
    flags = {"not-on-map"},
    acceleration = 0.004,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = {amount = 150, type = "explosion"}
          }
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/rocket/rocket.png",
      frame_count = 8,
      line_length = 8,
      width = 9,
      height = 35,
      shift = {0, 0},
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/rocket/rocket-shadow.png",
      frame_count = 1,
      width = 7,
      height = 24,
      priority = "high",
      shift = {0, 0}
    },
    smoke =
    {
      {
        name = "smoke-fast",
        deviation = {0.15, 0.15},
        frequency = 1,
        position = {0, -1},
        slow_down_factor = 1,
        starting_frame = 3,
        starting_frame_deviation = 5,
        starting_frame_speed = 0,
        starting_frame_speed_deviation = 5
      }
    }
  },
})