data:extend({
  {
    type = "technology",
    name = "phasing-rounds-magazine",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-rounds-magazine.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "phasing-rounds-magazine"
      }
    },
    prerequisites = {"military-2", "phasing-rocket"},
    unit = research(125, 1, 1, 1, 0, 40)
  },
  {
    type = "recipe",
    name = "phasing-rounds-magazine",
    enabled = false,
    energy_required = 3,
    ingredients =
    {
      {"tenemut", 10},
      {"iron-plate", 5},
      {"steel-plate", 2}
    },
    result = "phasing-rounds-magazine"
  },  {
    type = "ammo",
    name = "phasing-rounds-magazine",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-rounds-magazine.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "bullet",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "damage",
              damage = { amount = 8 , type = "physical"}
            }
          }
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "a[basic-clips]-c[phasing-rounds-magazine]",
    stack_size = 100
  },
})