data:extend({
  {
    type = "technology",
    name = "phasing-shotgun-shell",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-shotgun-shell.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "phasing-shotgun-shell"
      },
    },
    prerequisites = {"military-4", "phasing-rounds-magazine", "phasing-cannon-shell"},
    unit = research(150, 1, 1, 1, 1, 60)
  },
  {
    type = "recipe",
    name = "phasing-shotgun-shell",
    enabled = false,
    energy_required = 8,
    ingredients =
    {
      {"tenemut", 4},
      {"iron-plate", 2},
      {"steel-plate", 2}
    },
    result = "phasing-shotgun-shell"
  },
  {
    type = "ammo",
    name = "phasing-shotgun-shell",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-shotgun-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "shotgun-shell",
      target_type = "direction",
      action =
      {
        {
          type = "direct",
          action_delivery = 
          {
            type = "instant",
            source_effects = 
            {
              {
                type = "create-explosion",
                entity_name = "explosion-gunshot"
              }
            }
          }
        },
        {
          type = "direct",
          repeat_count = 8,
          action_delivery =
          {
            type = "projectile",
            projectile = "phasing-shotgun-pellet",
            starting_speed = 1,
            direction_deviation = 0.3,
            range_deviation = 0.3,
            max_range = 15,
          }
        }
      }
    },
    magazine_size = 10,
    subgroup = "ammo",
    order = "b[shotgun]-c[phasing]",
    stack_size = 100
  },
  {
    type = "projectile",
    name = "phasing-shotgun-pellet",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -0.25}, {0.05, 0.25}},
    acceleration = 0,
    direction_only = true,
    piercing_damage = 80,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "damage",
          damage = {amount = 16, type = "physical"}
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/piercing-bullet/piercing-bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
})